Package org.eclipse.emf.compare.ide.ui.subscriber

## Interface ISubscriberProvider

All Known Implementing Classes:
  `TeamSubscriberProvider`

    public interface ISubscriberProvider

Contract for clients of the org.eclipse.emf.ecompare.ide.ui.subscriberProvider extension point.

Since:
  4.4.3

### Method Summary

All Methods Instance Methods Abstract Methods

`org.eclipse.team.core.subscribers.Subscriber`

`getSubscriber​(org.eclipse.compare.ICompareContainer container, org.eclipse.compare.ITypedElement left, org.eclipse.compare.ITypedElement right, org.eclipse.compare.ITypedElement origin, org.eclipse.core.runtime.IProgressMonitor monitor)`

Returns the subscriber that provides the synchronization between local resources and remote resources based on the given comparison input.

### Method Detail

#### getSubscriber

    org.eclipse.team.core.subscribers.Subscriber getSubscriber​(org.eclipse.compare.ICompareContainer container,
                                                               org.eclipse.compare.ITypedElement left,
                                                               org.eclipse.compare.ITypedElement right,
                                                               org.eclipse.compare.ITypedElement origin,
                                                               org.eclipse.core.runtime.IProgressMonitor monitor)

Returns the subscriber that provides the synchronization between local resources and remote resources based on the given comparison input.

Parameters:
  `container` - The compare container input.
  `left` - Left of the compared elements.
  `right` - Right of the compared elements.
  `origin` - Common ancestor of the `left` and `right` compared elements.
  `monitor` - Monitor to report progress on.
Returns:
  The subscriber used for the comparison of the container or `null` if no subscriber could be determined.